import { ComplementaryArea } from '@wordpress/interface';
import { Panel } from '@wordpress/components';
import { BlockInspector } from '@wordpress/block-editor';
import { drawerRight } from '@wordpress/icons';

import { scope } from './constants';

export default function Sidebar() {
		return (
				<ComplementaryArea
						scope={ scope }
						identifier="tipus/block"
						isActiveByDefault={ true }
						icon={ drawerRight }
				>
						<Panel>
								<BlockInspector />
						</Panel>
				</ComplementaryArea>
		);
}
